package ervu_dashboard.model.chart.round;

import java.util.List;

import component.chart.dto.SingleChartDataDto;
import component.chart.dto.SingleChartDataSetDto;
import ervu_dashboard.model.chart.round.label.ChartLabelModel;

/**
 * @author Vitaly Chekushkin
 */
public class RoundChartDataDto extends SingleChartDataDto {

  public List<ChartLabelModel> centerLabels;

  public RoundChartDataDto(
      List<SingleChartDataSetDto> datasets,
      List<Object> labels,
      List<ChartLabelModel> centerLabels
  ) {
    super(datasets, labels);
    this.centerLabels = centerLabels;
  }

  public List<ChartLabelModel> getCenterLabels() {
    return centerLabels;
  }

  public void setCenterLabels(
      List<ChartLabelModel> centerLabels) {
    this.centerLabels = centerLabels;
  }
}
